@echo off
cls
echo *********************************************
echo * PC to BBC Disk Image Transfer Using UPURS *
echo *********************************************
echo:
rem Use the line below to specify your com port
set port=COM8

if "%1" == "/?" (
echo *** UPTX Help ***
echo:
echo UPTX can be used in conjunction with UPURS to transfer disc image files
echo from a PC to a BBC computer. See http://www.retro-kit.co.uk/UPURS/
echo for more details regarding UPURS.
echo:
echo Please ensure that you edit this script to specify the correct COM port.
echo:
echo UPTX will set up your COM port to what is required by UPURS.
echo:
echo To run UPTX type: UPTX filename    e.g. UPTX elite.ssd
echo:
exit /b
)

rem Check if file exists
if not exist "%1" echo *** Error, Please type: UPTX filename  e.g. UPTX elite.ssd&& echo: && exit /b

rem Check if COM port exists
MODE %port% | find "RTS" > nul
if errorlevel 1 echo *** COM port %port% not found && echo Edit this script to specify correct port && echo: && exit /b

echo *** Setting up %port% ***
echo:
mode %port%: baud=115200 parity=n data=8 stop=1 to=off xon=off odsr=on octs=on idsr=off dtr=hs rts=hs
echo:
echo *** Press any key to send file %1 to the BBC ***
echo:
pause >nul
echo:
echo Transfer started...................
echo: >cr.tmp
copy /b %1 + cr.tmp %port%: >nul
del cr.tmp 2>nul
echo:
echo *** Transfer complete ***
echo:
echo:



